precision mediump float;				//给出默认的浮点精度
uniform highp int isShadow;			//阴影绘制标志
varying vec4 ambient;  					//从顶点着色器传递过来的环境光最终强度
varying vec4 diffuse;					//从顶点着色器传递过来的散射光最终强度
varying vec4 specular;					//从顶点着色器传递过来的镜面光最终强度
varying vec2 vTextureCoord;
uniform sampler2D sTexture;         //纹理内容数据
uniform sampler2D mTexture;         //纹理内容数据


void main(){
   if(isShadow==0){			 //绘制物体本身
       gl_FragColor=texture2D(sTexture, vTextureCoord);
   }else if(isShadow == 1){  //绘制阴影
       gl_FragColor = vec4(0.574,0.586,0.633,1.0);
   }else if(isShadow == 2){  //绘制带光照的物体
       vec4 maskColor = texture2D(mTexture, vTextureCoord);
       vec4 finalColor = texture2D(sTexture, vTextureCoord);
       if(maskColor.r > 0.99){
           gl_FragColor = finalColor;
       }else{
           gl_FragColor = finalColor*ambient+finalColor*specular+finalColor*diffuse;
       }

   }
} 
